# Method Stdio.Fd()->get_dir()

Method get_dir

  `array(string) get_dir(string|void path)`

Description

  Get directory contents relative to an open directory.

Parameter `path`

  Path relative to the open directory. Defaults to the directory itself.

Returns

  Returns an array of filenames.

Note

  Not available on all architectures, or in Pike 7.6 and earlier.

See also

  get_dir(), statat(), openat(), unlinkat()